Class | Tk::BLT::VectorAccess
In: | tk/lib/tkextlib/blt/vector.rb
Parent: | Vector

### Methods

new new

### Public Class methods

new(name)

[Source]

    # File tk/lib/tkextlib/blt/vector.rb, line 223
        def self.new(name)
          return TkVar_ID_TBL[name] if TkVar_ID_TBL[name]
          super(name, size=nil, keys={})
        end

new(vec_name)

[Source]

    # File tk/lib/tkextlib/blt/vector.rb, line 228
        def initialize(vec_name)
          @id = vec_name
          TkVar_ID_TBL[@id] = self

          @def_default = false
          @default_val = nil

          @trace_var  = nil
          @trace_elem = nil
          @trace_opts = nil

          # teach Tk-ip that @id is global var
          INTERP._invoke_without_enc('global', @id)
        end

[Validate]